Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08327 Sound Minor Always May 27, 2022, 04:15 25 days ago
Tester Fungi66 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows 10/11 (64-bit)
Status [?] Confirmed Driver galaga.cpp
Version 0.244 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 08327: bosco: Explosion sound of enemy bases breaks after DIP switch change
Description
Steps To Reproduce 1. Delete the bosco.cfg file.
2. Start the Bosconian parent set in MAME.
3. Change lives from 3 to 5 and change the bonus fighter to 30K, 120K and every 120K.
4. Reset the machine and play the game, you'll notice the broken explosion sound.
Additional Information
Github Commit
Flags
Regression Version 0.244
Affected Sets / Systems bosco
Attached Files
 
Relationships
related to 08333Resolvedsmf  simpsons: Loss of all audio during demonstration 
Notes
16
User avatar
No.20228
Haze
Senior Tester
May 27, 2022, 07:33
I'm not hearing this in any of my recent compiles
User avatar
No.20229
Steve Coomber
Tester
May 27, 2022, 17:25
I am not able to repeat this issue either. It's fine my end with the latest release.
User avatar
No.20232
Fungi66
Tester
May 27, 2022, 18:29
edited on: May 27, 2022, 18:44
Somehow, when I deleted the bosco.cfg file it fixed it. Don't know what that had to do with the sound?

Edit: When I change the bonus fighter dip to 30K, 120K and every 120K it breaks the sound.
User avatar
No.20233
Steve Coomber
Tester
May 27, 2022, 19:54
I tried changing DIPs including the bonus fighter DIP and I couldn't get it to break the sound. If you could delete the bosco.cfg file again and record the steps to reproduce the issue, that might help. Thanks
User avatar
No.20235
Fungi66
Tester
May 27, 2022, 20:42
Change lives from 3 to 5 and change the bonus fighter to 30K, 120K and every 120K and see if it breaks.
User avatar
No.20236
Steve Coomber
Tester
May 27, 2022, 21:20
Yes that breaks it. Well spotted.
User avatar
No.20239
Haze
Senior Tester
May 27, 2022, 21:49
that's a very strange and specific condition for breaking it.. I wonder if this one is just a flaw in the game
User avatar
No.20240
Haze
Senior Tester
May 27, 2022, 21:54
also only seems to happen on the Namco sets, not the Midway sets... I'd be really interested in knowing if this happens on hardware
User avatar
No.20241
Fungi66
Tester
May 27, 2022, 22:39
This never happened in previous versions of MAME either. Doing this on MAME 0.225 doesn't break it, also I don't think it regressed in the current version MAME. I'll have to mess with it more...
User avatar
No.20243
neSneSgB
Tester
May 27, 2022, 23:13
I was unable to replicate this on real hardware with romset "bosco"; the explosion sound works just fine with those DIP switch settings. It only seems to happen sometimes on MAME 0.244, if you reset the CPU, it sometimes works fine, but other times the other explosion sound is also cut off.
User avatar
No.20244
Fungi66
Tester
May 27, 2022, 23:26
Getting some interesting results in MAME 0.243, the shot sound and the space mine explosion is broken after changing the DIP switches. The sound was completely normal in MAME 0.239. There was a regression in MAME 0.240 with the shot sound and the space mine explosion and a different regression for the current version with the enemy bases.
User avatar
No.20245
Augusto
Tester
May 27, 2022, 23:51
edited on: May 27, 2022, 23:52
Tested in 0.243 Linux SDLMAME.
That issue only had happened when disabling cheats and plugin highscore and selecting "5 lives" and "15K and 70K only" doing an soft reset.
Doing an hardware reset with same settings not happen that issue.
User avatar
No.20248
CYBERYOGI -CO-Windler
Viewer
May 28, 2022, 05:01
edited on: May 29, 2022, 02:20
Does MAME switch the sample on and off again, while the original analogue explosion sound circuit can only trigger it (switch "on") while "off" takes no effect? Many analogue drum machines behave this way (and often need a short pause to recharge a capacitor before they can be retriggered). If yes, it should be handled as an "edge triggered" event.

I also found situations in "Pole Position" where in MAME the explosion sample gets randomly truncated.
User avatar
No.20251
Tafoid
Administrator
May 28, 2022, 10:33
Tracing this using the example posted for the 5 lives and certain dip bonus levels - playing from start and letting Demonstration show the base explosion - it started happening when z80 timing changes focused on spectrum computers was committed

April 25, 2022
https://github.com/mamedev/mame/pull/9449
https://github.com/mamedev/mame/commit/44dae68dbb5cd5d9fbb56e919e7bb59644830d2c
User avatar
No.20252
Augusto
Tester
May 28, 2022, 20:45
edited on: May 28, 2022, 20:46
Testing bosco one time the player had crashed in an mine and at same time the base was destroyed both not had explosion, but an strange fx with duration of few milliseconds.
User avatar
No.20300
Augusto
Tester
25 days ago
edited on: 24 days ago
That explosion sound bug also happen with sxevious.
Try reach the boss and hit few enemies and not move the solvalou.
Randomly not will play the explosion.